AfterDawn Forums

Final Fantasy 7 on PSP

This discussion thread has 74 messages.

#1
Recently I started playing Final fantasy 7 on my psp, however whenever someone uses a magic attack the graphics mess up. I just just wondering whether it was a faulty version of the game or if I did something wrong while converting to the eboot file.

I have a fat psp running on 3.40 OE-A
▼▼ This topic has 73 answers - they are below this advertisement ▼▼
AfterDawn Advertisement
#2
Ex_hoc Suspended due non-functional email address
Did you rip the disk from your own game or did you download the eboot? If you did rip it yourself, what program did you use???

Sometimes when you download eboots from the internet you may get very low quality rips. I recommend using Clone Cd - link following:

http://static.slysoft.com/SetupCloneCD.exe

In my opinion Clone cd is the best program to rip video games. it just always seems to work. Also i would use Zinga Burga's Popstation to convert to Eboot. I've Done FF7 for a couple people with it and it always works fine.

http://zingaburga.freehostia.com/dl.html

And lastly, I would upgrade your Firmware to one of the M33 versions. When I was on OE it had some trouble with Legend of dragoon during battles when alot of special effetcs were used. It used to glitch and freeze often. (Legend of dragoon - Similar RPG to FF7)
This message has been edited since its posting. Latest edit was made on 26 Feb 2008 @ 14:16

HELP ME PAY FOR SCHOOL ---> check out this site
http://s1.webstarts.com/HelpMePayForSchool/index.html

#3
Yeah, I'm running FF7 on 3.71 M33-3 firmware and it's running great. No glitches or anything. I also heard that 3.71 firmware runs FF7 the best, so far.
#4
Ex_hoc Suspended due non-functional email address
Quote:
Yeah, I'm running FF7 on 3.71 M33-3 firmware and it's running great. No glitches or anything. I also heard that 3.71 firmware runs FF7 the best, so far.
Yeah i'm going to agree. so far 3.71 seems to be the best for FF7. I've used 3.80 and 3.90 and they glitch a bit more. I'll wait for 4.0 M33 (assuming there is going to be one) to upgrade again.

HELP ME PAY FOR SCHOOL ---> check out this site
http://s1.webstarts.com/HelpMePayForSchool/index.html

#5
Before you say anything, I have looked around and noone is specific enough, I would love to get ff7 on my 3.71 m33-2 slim psp, ive got 3 eboots for each disc, and the key.bins etc. I know what to do with them, Ive already got Tomba running, just wondering, when I come to the end of disc 1 and save it can i just load disc 2 and carry on, or is there some sort of problem? I 've heard of popstation but I dont know what it does really..... thanks for any advice
#6
Ex_hoc Suspended due non-functional email address
Quote:
Before you say anything, I have looked around and noone is specific enough, I would love to get ff7 on my 3.71 m33-2 slim psp, ive got 3 eboots for each disc, and the key.bins etc. I know what to do with them, Ive already got Tomba running, just wondering, when I come to the end of disc 1 and save it can i just load disc 2 and carry on, or is there some sort of problem? I 've heard of popstation but I dont know what it does really..... thanks for any advice
Honestly, forget popstation. do exactly what you said. At the end of the first disc when it asks you to save, save and turn the game off. than load up the next disks eboot and you're good to go :)

HELP ME PAY FOR SCHOOL ---> check out this site
http://s1.webstarts.com/HelpMePayForSchool/index.html

#7
aheleas Suspended due non-functional email address
I was wondering if anyone can help me ive been trying to get ff7 on my psp with now luck i have a ver 3.80 and was wondering if anyoen can help me with what im supposed to do to downgrade and copy the game onto the psp. if you have any links let me know thnx alot
#8
Originally posted by aheleas:
I was wondering if anyone can help me ive been trying to get ff7 on my psp with now luck i have a ver 3.80 and was wondering if anyoen can help me with what im supposed to do to downgrade and copy the game onto the psp. if you have any links let me know thnx alot

you need : custom firmware e.g. 3.90m33-2 to get this you will need a pandoras battery and a magic memory stick go here : http://forums.afterdawn.com/thread_view.cfm/610313#3685241

after you have custom firmware google search popstation gui this will useyour pc cd or dvd rom to copy the psxgame andturn itinto an eboot.pbp which is the file type a psp reads (like a windows .exe file) this can then be placed in the game folder of a psp memory stick and played on a cfw psp








#9
i have a question.. my brother's psp is currently on 3.80 M33-5 and im trying to make FF7 work using the .pbp's i converted from the image of my three discs..[you said the original copied image, and not the ones downloaded..] when i ran it, it hangs on the first battle scene..

i haven't tried using the 3.80 m33 popsloader, but im going to.. will it work? and you said the 3.71 runs ff7 the best.. can i use the 3.71 popsloader to make it run well?

thanks..
#10
Ex_hoc Suspended due non-functional email address
Quote:
i have a question.. my brother's psp is currently on 3.80 M33-5 and im trying to make FF7 work using the .pbp's i converted from the image of my three discs..[you said the original copied image, and not the ones downloaded..] when i ran it, it hangs on the first battle scene..

i haven't tried using the 3.80 m33 popsloader, but im going to.. will it work? and you said the 3.71 runs ff7 the best.. can i use the 3.71 popsloader to make it run well?

thanks..
Whether 3.71 os better than 3.80 in regards to running PS1 games is still up for debate. some people find that 3.80 works fine. I've used both and found that 3.71 works very well. but right now I'm using 3.90 and it seems to be working great.

Now as for your game hangng on the first battle screen... What software did you use to create the Eboot files??? and what software did you use to rip the .IMG of the disks? I would recommend using the programs I posted up above.


For ripping the disk:
http://static.slysoft.com/SetupCloneCD.exe

For converting to eboot:
http://zingaburga.freehostia.com/dl.html


HELP ME PAY FOR SCHOOL ---> check out this site
http://s1.webstarts.com/HelpMePayForSchool/index.html

#11
I notice that the music on mine runs more quickly! Otherwise, it seems fine...



_JJJ_JJ_J_JJ_
#12
bindiman Suspended due non-functional email address
Hi people,
I have a prolem with my FF7. I am currently running firmware 3.90 M33-2, and it isnt working. I have another PSX game which workes fine (Abe's Oddesey. I previously had versio 3.40 0E-A and FF7 worked fine. Could anyone suggest something to make this work?

Thanks !

Regards
#13
yea i have the same problem. the game starts ok, but as soon as i get into the first battle, the game glitches, and freezes.
appreciate any help.
#14
If you want help more information is needed. Did you rip it yourself? What program did you use? Hell at least tell us what it does instead of saying "it doesn't work".
#15
ahh i figured it out with some help for acidy. but thanks anyway. haha i know i didnt leave enough info.
#16
help!

so I dl'd a copy of the eboot files and .bin keys. I know you're supposed to put em in the game folder, but when I go to play the game, I get a message that says "The copyright protection information is invalid".

what do I do???
#17
Did you mod your PSP? What's your region set to?
#18
no mods...duno where I'd find the region setting, but it's english I guess...US or somethin
#20
last question, I think

I followed the guide up to the battery part

I don't have the means to obtain a Datel battery, and I don wanna hardmod the one I have, since I don't have an extra

is there any software means of "pandorizing" the battery, and then turning it back to normal?
#21
update:

I have everything I need to turn the battery into pandora's

but everytime I go to launch the app from the psp, I get a message saying "The game could not be played (80020148)"

help!!
#22
squalljc Suspended due non-functional email address
Originally posted by bindiman:
Hi people,
I have a prolem with my FF7. I am currently running firmware 3.90 M33-2, and it isnt working. I have another PSX game which workes fine (Abe's Oddesey. I previously had versio 3.40 0E-A and FF7 worked fine. Could anyone suggest something to make this work?

Thanks !
you'll need a popsloader, download the 3.80 popsloader after you install run the FF7 then select the 3.71 or any pops you like but for me i advice used 3.71 pops and you're good to go

good luck

(+[_]%) 3.03oec > 3.52m33-4 > 3.71m33-4 > bricked > 1.50 > 3.52m33-4 > 3.71m33-4 > 5.00 m33-6
#23
squalljc Suspended due non-functional email address
Originally posted by RavenSIL:
update:

I have everything I need to turn the battery into pandora's

but everytime I go to launch the app from the psp, I get a message saying "The game could not be played (80020148)"

help!!
are you using a phat psp? if you are, do you have a 1.50 kernel addons? if you haven't install it first... then after you install the kernel go to recovery menu then set the homebrew to 1.50 kernel then exit and execute the pandora and enjoy what you are doing...

good luck

(+[_]%) 3.03oec > 3.52m33-4 > 3.71m33-4 > bricked > 1.50 > 3.52m33-4 > 3.71m33-4 > 5.00 m33-6
#24
yeah, using phat...I got the 1.50 kernel for 3.71, 3.80, and 3.90...everytime I try to install, I get the same message

if it helps any, the system software is version 3.73

I've tried formatting everything, downgrading...But I can't do anything without a pandora battery first

I've followed every tutorial I could find, and now I feel like a retard

it's probably getting old by now but...help!!
#25
I was so excited to finally get FF:VII on my psp. But sadly,I'm having the same problem. Everything runs fine up until the first battle as I'm getting off the train. It started to glitch and then just froze.

I'm currently using 3.90 M33-3. I sadly couldn't find my old discs so I found some eboots of each disc online. That could be the problem but if I find it somewhere I'll probably buy it.
This discussion thread has been automatically closed, as it hasn't received any new posts during the last 180 days. This means that you can't post replies or new questions to this discussion thread.

If you have something to add to this topic, use this page to post your question or comments to a new discussion thread.